"""empty message

Revision ID: 363cd1e944bd
Revises: 348ae6ce43a5
Create Date: 2020-09-07 15:24:40.634646

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '363cd1e944bd'
down_revision = '348ae6ce43a5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index(op.f('ix_healthcheck_name'), 'healthcheck', ['name'], unique=False)
    op.create_index(op.f('ix_healthcheck_source'), 'healthcheck', ['source'], unique=False)
    op.create_index(op.f('ix_healthcheck_uuid'), 'healthcheck', ['uuid'], unique=True)
    op.create_index(op.f('ix_hist_healthcheck_name'), 'hist_healthcheck', ['name'], unique=False)
    op.create_index(op.f('ix_hist_healthcheck_source'), 'hist_healthcheck', ['source'], unique=False)
    op.create_index(op.f('ix_hist_healthcheck_uuid'), 'hist_healthcheck', ['uuid'], unique=False)
    op.create_index(op.f('ix_jobs_jobname'), 'jobs', ['jobname'], unique=False)
    op.create_index(op.f('ix_tf_tracing_transfert_uuid'), 'tf_tracing', ['transfert_uuid'], unique=False)
    op.create_index(op.f('ix_transferts_id'), 'transferts', ['id'], unique=False)
    op.create_index(op.f('ix_transferts_uuid'), 'transferts', ['uuid'], unique=True)
    op.create_index(op.f('ix_users_uuid'), 'users', ['uuid'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_users_uuid'), table_name='users')
    op.drop_index(op.f('ix_transferts_uuid'), table_name='transferts')
    op.drop_index(op.f('ix_transferts_id'), table_name='transferts')
    op.drop_index(op.f('ix_tf_tracing_transfert_uuid'), table_name='tf_tracing')
    op.drop_index(op.f('ix_jobs_jobname'), table_name='jobs')
    op.drop_index(op.f('ix_hist_healthcheck_uuid'), table_name='hist_healthcheck')
    op.drop_index(op.f('ix_hist_healthcheck_source'), table_name='hist_healthcheck')
    op.drop_index(op.f('ix_hist_healthcheck_name'), table_name='hist_healthcheck')
    op.drop_index(op.f('ix_healthcheck_uuid'), table_name='healthcheck')
    op.drop_index(op.f('ix_healthcheck_source'), table_name='healthcheck')
    op.drop_index(op.f('ix_healthcheck_name'), table_name='healthcheck')
    # ### end Alembic commands ###
